{% extends "base.html" %}

{% block content %}
<main role="main" class="col-sm-9 ml-sm-auto col-md-10 pt-3">
    <br>
    <h2>Cloud Region list</h2>
    <a href="../cloud_region_create_form" class="btn btn-primary btn-sm">Create</a>
    <div class="table-responsive">
        <table class="table table-striped">
            <thead>
            <tr>
                <th>#</th>
                <th>Name</th>
                <th>Cloud Owner</th>
            </tr>
            </thead>
            <tbody>
            {% for cloud_region in cloud_regions %}
            <tr>
                <td><class="cloud-region" type="text" id="{{loop.index}}" name="{{loop.index}}" value="{{loop.index}}">{{loop.index}}</td>
                <td><class="cloud-region" type="text" id="cloud-region_name_{{loop.index}}" name="cloud-region_name_{{loop.index}}" value="{{cloud_region['cloud-region-id']}}">{{cloud_region['cloud-region-id']}}</td>
                <td><class="cloud-region" type="text" id="cloud-region_owner_{{loop.index}}" name="cloud-region_owner_{{loop.index}}" value="{{cloud_region['cloud-owner']}}">{{cloud_region['cloud-owner']}}</td>
                <td>
                    <a href="../cloud_region_details?cloud_region_name={{cloud_region['cloud-region-id']}}&cloud_owner={{cloud_region['cloud-owner']}}" class="btn btn btn-primary btn-sm">Details</a>
                <td>
            </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
</main>
{% endblock %}
